Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.crypto
Class Biff8DecryptingStream

    java.lang.Object
      org.apache.poi.hssf.record.crypto.Biff8DecryptingStream

All Implemented Interfaces:
  BiffHeaderInput, LittleEndianInput

    public final class Biff8DecryptingStream

extends java.lang.Object
implements BiffHeaderInput, LittleEndianInput

Author:
  Josh Micich

Constructor Summary
`Biff8DecryptingStream(java.io.InputStream in, int initialOffset, Biff8EncryptionKey key)`

Method Summary
`int` | `available()`
`byte` | `readByte()`
`int` | `readDataSize()` Reads an unsigned short value without decrypting
`double` | `readDouble()`
`void` | `readFully(byte[] buf)`
`void` | `readFully(byte[] buf, int off, int len)`
`int` | `readInt()`
`long` | `readLong()`
`int` | `readRecordSID()` Reads an unsigned short value without decrypting
`short` | `readShort()`
`int` | `readUByte()`
`int` | `readUShort()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Biff8DecryptingStream

    public Biff8DecryptingStream(java.io.InputStream in,
                                 int initialOffset,
                                 Biff8EncryptionKey key)

Method Detail

### available

    public int available()

  Specified by:
    `available` in interface `BiffHeaderInput`
  Specified by:
    `available` in interface `LittleEndianInput`

### readRecordSID

    public int readRecordSID()

  Reads an unsigned short value without decrypting

  Specified by:
    `readRecordSID` in interface `BiffHeaderInput`

### readDataSize

    public int readDataSize()

  Reads an unsigned short value without decrypting

  Specified by:
    `readDataSize` in interface `BiffHeaderInput`

### readDouble

    public double readDouble()

  Specified by:
    `readDouble` in interface `LittleEndianInput`

### readFully

    public void readFully(byte[] buf)

  Specified by:
    `readFully` in interface `LittleEndianInput`

### readFully

    public void readFully(byte[] buf,
                          int off,
                          int len)

  Specified by:
    `readFully` in interface `LittleEndianInput`

### readUByte

    public int readUByte()

  Specified by:
    `readUByte` in interface `LittleEndianInput`

### readByte

    public byte readByte()

  Specified by:
    `readByte` in interface `LittleEndianInput`

### readUShort

    public int readUShort()

  Specified by:
    `readUShort` in interface `LittleEndianInput`

### readShort

    public short readShort()

  Specified by:
    `readShort` in interface `LittleEndianInput`

### readInt

    public int readInt()

  Specified by:
    `readInt` in interface `LittleEndianInput`

### readLong

    public long readLong()

  Specified by:
    `readLong` in interface `LittleEndianInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD